KSSLSession Class Reference

`#include <ksslsession.h>`

## Public Member Functions

| ~KSSLSession ()
QString | toString () const

## Static Public Member Functions

static KSSLSession * | fromString (const QString &s)

## Protected Member Functions

| KSSLSession (const KSSLSession &)

## Protected Attributes

void * | _session

## Friends

class | KSSL

## Detailed Description

KDE SSL Session Information.

This class contains data about an SSL session. It is just used as a container that is taken from or passed to KSSL objects.

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL KDE SSL Session Information

Definition at line 42 of file ksslsession.h.

## Constructor & Destructor Documentation

KSSLSession::~KSSLSession | ( |  | ) |

Destroy this instance.

Definition at line 34 of file ksslsession.cc.

## Member Function Documentation

KSSLSession * KSSLSession::fromString | ( | const QString & | s | ) |

static

Create as session ID object from a base64 encoded string.

Parameters

  s | the session id in base64 encoded ASN.1 format

Returns
  a KSSLSession object, or 0L on error

Definition at line 67 of file ksslsession.cc.

QString KSSLSession::toString | ( |  | ) | const

Convert to a base64 encoded string (so it can be copied safely)

Definition at line 44 of file ksslsession.cc.

The documentation for this class was generated from the following files:

- ksslsession.h
- ksslsession.cc

KDE Home | KDE Accessibility Home | Description of Access Keys